Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWindowToImageFilter Class Reference

`#include <vtkWindowToImageFilter.h>`

Inheritance diagram for vtkWindowToImageFilter:

[legend]
Collaboration diagram for vtkWindowToImageFilter:

[legend]
List of all members.

## Detailed Description

Use a vtkWindow as input to image pipeline.

Date:
  2002/03/19 16:19:45

Revision:
  1.7

vtkWindowToImageFilter provides methods needed to read the data in a vtkWindow and use it as input to the imaging pipeline. This is useful for saving an image to a file for example. Use this filter to convert RenderWindows or ImageWindows to an image format.

Warning:
  A vtkWindow doesn't behave like other parts of the VTK pipeline: its modification time doesn't get updated when an image is rendered. As a result, naive use of vtkWindowToImageFilter will produce an image of the first image that the window rendered, but which is never updated on subsequent window updates. This behavior is unexpected and in general undesirable.

Warning:
  To force an update of the output image, call vtkWindowToImageFilter's Modified method after rendering to the window.

Warning:
  In VTK versions 4 and later, this filter is part of the canonical way to output an image of a window to a file (replacing the obsolete SaveImageAsPPM method for vtkRenderWindows that existed in 3.2 and earlier). Connect this filter to the output of the window, and filter's output to a writer such as vtkPNGWriter.

See also:
  vtkWindow

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (81%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkWindowToImageFilter.h)`
  - .`cxx` (`/Rendering/vtkWindowToImageFilter.cxx)`

Examples:
  vtkWindowToImageFilter (Examples)

Tests:
  vtkWindowToImageFilter (Tests)

Definition at line 73 of file vtkWindowToImageFilter.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkWindow *input)
virtual vtkWindow * | GetInput ()
virtual void | SetMagnification (int)
virtual int | GetMagnification ()
virtual void | ReadFrontBufferOn ()
virtual void | ReadFrontBufferOff ()
virtual int | GetReadFrontBuffer ()
virtual void | SetReadFrontBuffer (int)
## Static Public Methods
vtkWindowToImageFilter * | New ()
int | IsTypeOf (const char *type)
vtkWindowToImageFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkWindowToImageFilter ()
| ~vtkWindowToImageFilter ()
void | ExecuteInformation ()
void | ExecuteData (vtkDataObject *data)
## Protected Attributes
vtkWindow * | Input
int | Magnification
int | ReadFrontBuffer

## Member Typedef Documentation

typedef vtkImageSource vtkWindowToImageFilter::Superclass

| Reimplemented from vtkImageSource. Definition at line 78 of file vtkWindowToImageFilter.h.

## Constructor & Destructor Documentation

vtkWindowToImageFilter::vtkWindowToImageFilter | ( |  | ) | `[protected]`

vtkWindowToImageFilter::~vtkWindowToImageFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkWindowToImageFilter* vtkWindowToImageFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkWindowToImageFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkWindowToImageFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkWindowToImageFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkWindowToImageFilter* vtkWindowToImageFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkWindowToImageFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

void vtkWindowToImageFilter::SetInput | ( | vtkWindow * | input | ) |

| Indicates what renderer to get the pixel data from.

virtual vtkWindow* vtkWindowToImageFilter::GetInput | ( |  | ) | `[virtual]`

| Returns which renderer is being used as the source for the pixel data.

virtual void vtkWindowToImageFilter::SetMagnification | ( | int |  | ) | `[virtual]`

| The magnification of the current render window

virtual int vtkWindowToImageFilter::GetMagnification | ( |  | ) | `[virtual]`

| The magnification of the current render window

virtual void vtkWindowToImageFilter::ReadFrontBufferOn | ( |  | ) | `[virtual]`

| The magnification of the current render window

virtual void vtkWindowToImageFilter::ReadFrontBufferOff | ( |  | ) | `[virtual]`

| The magnification of the current render window

virtual int vtkWindowToImageFilter::GetReadFrontBuffer | ( |  | ) | `[virtual]`

| The magnification of the current render window

virtual void vtkWindowToImageFilter::SetReadFrontBuffer | ( | int |  | ) | `[virtual]`

| The magnification of the current render window

void vtkWindowToImageFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkWindowToImageFilter::ExecuteData | ( | vtkDataObject * | data | ) | `[protected]`

## Member Data Documentation

vtkWindow* vtkWindowToImageFilter::Input`[protected]`

| Definition at line 107 of file vtkWindowToImageFilter.h.

int vtkWindowToImageFilter::Magnification`[protected]`

| Definition at line 108 of file vtkWindowToImageFilter.h.

int vtkWindowToImageFilter::ReadFrontBuffer`[protected]`

| Definition at line 109 of file vtkWindowToImageFilter.h.

The documentation for this class was generated from the following file:

- Rendering/vtkWindowToImageFilter.h